/* LCD_I2C - 16x2 LCD I2C PCF8574
   PCA9632 backlight RGB
   //uint8_t m2 = ((INVRT) | (OUTDRV)); // output inverted, totem pole drivers enabled
   zmiana na
   //uint8_t m2 = 0x00; // output no inverted, totem pole drivers disabled
*/

#include <LCD_I2C.h>
#include <pca9633.h>

PCA9633 rgbw; 

LCD_I2C lcd(0x20, 16, 2); // Default address of most PCF8574 modules, change according

void setup()
{
    lcd.begin(); 
    lcd.backlight();
    rgbw.begin(0x60);
    rgbw.setrgbw(0,0,0,0);
    lcd.print("RGB LCD");
    lcd.setCursor(0, 1);
    lcd.print("PCF8574/PCA9632");
}

void loop()
{
  rgbw.setrgbw(255,0,0,0); //R
  delay(1000);
  rgbw.setrgbw(0,255,0,0); //G
  delay(1000);
  rgbw.setrgbw(0,0,255,0); //B
  delay(1000);
  rgbw.setrgbw(255,255,255,0); //W
  delay(1000);
}
